Fix PowerPC assembler syntax.

--- lib/isc/rwlock.c.orig	2023-12-08 20:09:37.000000000 +0800
+++ lib/isc/rwlock.c	2024-02-11 15:55:13.000000000 +0800
@@ -160,8 +160,12 @@
 #elif (defined(__sparc) || defined(__sparc__)) && HAVE_SPARC_PAUSE
 #define isc_rwlock_pause() __asm__ __volatile__("pause")
 #elif defined(__ppc__) || defined(_ARCH_PPC) || defined(_ARCH_PWR) || \
-	defined(_ARCH_PWR2) || defined(_POWER)
+	defined(_ARCH_PWR2) || defined(_POWER) || defined(__POWERPC__)
+#ifdef __APPLE__
+#define isc_rwlock_pause() __asm__ volatile("or r27,r27,r27")
+#else
 #define isc_rwlock_pause() __asm__ volatile("or 27,27,27")
+#endif
 #else /* if defined(_MSC_VER) */
 #define isc_rwlock_pause()
 #endif /* if defined(_MSC_VER) */
